Subject: bug#51490: Show an indicator when Emacs is busy somewhere in the Emacs window

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Sep 2022 15:32:39 +0200

Eli Zaretskii <[email-masked]> writes:

> That's true, but if Lisp cannot run, neither can redisplay.  They both
> access the internal Emacs state: buffers, variables, etc.  Even to
> replace a single glyph, you'd need to access faces, right?

I'm not sure that we have to?  That's why I wondered whether we could
somehow get away with just altering the glyph matrix...

> Also, poking a single glyph on a GUI frame is unsafe, because no one
> can be sure the new glyph will have the same metrics as the old one.

I was thinking way more primitive than that -- just altering the
pixelish data on some level.  I.e., I wouldn't want to display the
characters | \ etc, but instead some pre-calculated pixel data.

But like I said, I'm not sure whether even that is feasible...